Bug 183018 - error: rpmtsOrder failed, 289 elements remain
error: rpmtsOrder failed, 289 elements remain
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: 183088 183247 (view as bug list)
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
Reported: 2006-02-25 07:04 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 14:50:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/root/install.log after bad install (69.72 KB, text/plain)
2006-02-27 14:51 EST, Thomas J. Baker
no flags Details

  None (edit)
Description Axel Thimm 2006-02-25 07:04:56 EST
Description of problem:
Upon installation via pxe/vnc the following output is seen on the console:

Press <enter> for a shell
Starting graphical installation ...
XKB extension not present on :1
error: rpmtsOrder failed, 289 elements remain

Version-Release number of selected component (if applicable):
today's rawhide
Comment 1 G.Wolfe Woodbury 2006-02-25 21:56:11 EST
also seen on i686 arch install, 
Comment 2 Jeremy Katz 2006-02-27 11:59:57 EST
We're actively looking into this now...
Comment 3 Jeremy Katz 2006-02-27 12:49:11 EST
*** Bug 183088 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2006-02-27 14:36:22 EST
*** Bug 183247 has been marked as a duplicate of this bug. ***
Comment 5 Chris Lumens 2006-02-27 14:50:50 EST
Fixed by breaking a dependency cycle that was causing lots of packages to not
get sorted in the rpm transaction properly.
Comment 6 Thomas J. Baker 2006-02-27 14:51:24 EST
Created attachment 125340 [details]
/root/install.log after bad install

I never saw any mention of rpmtsOrder but here is the install.log with the
scriplet errors. I can include the anaconda.ks and install.log.syslog if need
Comment 7 Chris Lumens 2006-02-27 15:01:07 EST
Thomas - this appears to be the same issue.  Note that in the install.log, lots
of scripts are failing.  This is because packages are getting installed before
other packages that contains the things they are running in %post scripts.  In
particular, look at all the "command not found" messages in relation to where
coreutils gets installed.

Note You need to log in before you can comment on or make changes to this bug.